classdef amp_mode < int32

   enumeration
      ideal_no_noise     (1)
      edfa_increase_nase (2)
      edfa_replace_nase  (3)
      % edfa_set_osnr      (4) TODO: implement mode to achieve desired OSNR
   end
   
end